## haskell-co-log-core 0.3.2.5

=== debian/changelog ===
haskell-co-log-core (0.3.2.5-1) unstable; urgency=low

  * Initial release

 -- Scott Talbert <swt@techie.net>  Mon, 09 Feb 2026 18:57:34 -0500
