=== debian/control ===
Source: haskell-co-log-core
Maintainer: Debian Haskell Group <pkg-haskell-maintainers@lists.alioth.debian.org>
Uploaders: Scott Talbert <swt@techie.net>
Priority: optional
Section: haskell
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
 haskell-devscripts-minimal | haskell-devscripts (>= 0.16.42),
 dh-sequence-haskell,
 ghc,
 ghc-prof,
Build-Depends-Indep: ghc-doc,
Standards-Version: 4.7.3
Homepage: https://github.com/co-log/co-log-core
Vcs-Browser: https://salsa.debian.org/haskell-team/DHG_packages/tree/master/p/haskell-co-log-core
Vcs-Git: https://salsa.debian.org/haskell-team/DHG_packages.git [p/haskell-co-log-core]
Description: Composable Contravariant Comonadic Logging Library
 This package provides core types and functions to work with the LogAction
 data type which is both simple and powerful.
 .
 __newtype__ LogAction m msg = LogAction
     { unLogAction :: msg -> m ()
     }
 .
 The ideas behind this package are described in the following blog post:
 .
  * [co-log: Composable Contravariant Combinatorial Comonadic Configurable
    Convenient Logging](https://kowainik.github.io/posts/2018-09-25-co-log)
 .
 See the following packages for different implementations based on co-log-core:
 .
  * [co-log](http://hackage.haskell.org/package/co-log): taggless final
    implementations.
  * [co-log-polysemy](http://hackage.haskell.org/package/co-log-polysemy):
    extensible effects implementation based on polysemy.

Package: libghc-co-log-core-dev
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
 ${shlibs:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-co-log-core-prof
Architecture: any
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Provides: ${haskell:Provides},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}

Package: libghc-co-log-core-doc
Architecture: all
Section: doc
Depends: ${haskell:Depends},
 ${misc:Depends},
Recommends: ${haskell:Recommends},
Suggests: ${haskell:Suggests},
Conflicts: ${haskell:Conflicts},
Description: ${haskell:ShortDescription}${haskell:ShortBlurb}
 ${haskell:LongDescription}
 .
 ${haskell:Blurb}
